summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2015-05-05 07:06:37 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-05-05 07:06:37 +0700
commitdcd475e71d053ef8559bd98ff55d919e72c62c2e (patch)
treea62e92899f264ded3142fdc5a0a579974f5aaa79 /desktop
parent97245f63724d5539e0e65c44d83b5aab2cebd7f5 (diff)
downloadslackbuilds-dcd475e71d053ef8559bd98ff55d919e72c62c2e.tar.gz
slackbuilds-dcd475e71d053ef8559bd98ff55d919e72c62c2e.tar.xz
desktop/moka-icon-theme: Added (gnome icon theme).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/moka-icon-theme/README13
-rw-r--r--desktop/moka-icon-theme/doinst.sh13
-rw-r--r--desktop/moka-icon-theme/moka-icon-theme.SlackBuild60
-rw-r--r--desktop/moka-icon-theme/moka-icon-theme.info10
-rw-r--r--desktop/moka-icon-theme/slack-desc19
5 files changed, 115 insertions, 0 deletions
diff --git a/desktop/moka-icon-theme/README b/desktop/moka-icon-theme/README
new file mode 100644
index 0000000000..5197015cc3
--- /dev/null
+++ b/desktop/moka-icon-theme/README
@@ -0,0 +1,13 @@
+Moka icon theme for GNOME, XFCE and other DEs|WMs GTK+.
+
+Moka was created with minimal, flat style, using simple geometry & colours.
+Each icon has been pixel-perfectly-designed and for the best experience throughout your desktop.
+
+As one of the most comprehensive icon sets available for the Linux desktop,
+Moka provides thousands of icons for many applications.
+
+No matter which desktop you are using, Moka has you covered; it's for all of the popular Linux desktop environments.
+
+Moka is only a set of application icons, it relies on its companion icon set "Faba".
+
+From Faba, Moka inherits all the system icons, folders, panel icons, etc. to make a complete experience.
diff --git a/desktop/moka-icon-theme/doinst.sh b/desktop/moka-icon-theme/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/desktop/moka-icon-theme/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/moka-icon-theme/moka-icon-theme.SlackBuild b/desktop/moka-icon-theme/moka-icon-theme.SlackBuild
new file mode 100644
index 0000000000..153654cb07
--- /dev/null
+++ b/desktop/moka-icon-theme/moka-icon-theme.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+# Slackware build script for moka-icon-theme
+# Homepage: http://mokaproject.com/moka-icon-theme/
+
+# Copyright 2015 Edinaldo P. Silva, Rio de Janeiro, Brazil
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="moka-icon-theme"
+VERSION=${VERSION:-5.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+CWD=$(pwd)
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+mkdir -p $PKG/usr/share/icons
+cp -a Moka $PKG/usr/share/icons
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp AUTHORS COPYING INSTALL LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/moka-icon-theme/moka-icon-theme.info b/desktop/moka-icon-theme/moka-icon-theme.info
new file mode 100644
index 0000000000..2d4e87334e
--- /dev/null
+++ b/desktop/moka-icon-theme/moka-icon-theme.info
@@ -0,0 +1,10 @@
+PRGNAM="moka-icon-theme"
+VERSION="5.0"
+HOMEPAGE="http://mokaproject.com/moka-icon-theme/"
+DOWNLOAD="https://github.com/moka-project/moka-icon-theme/raw/master/moka-icon-theme-5.0.tar.gz"
+MD5SUM="4dd25186e7b6a4f6ca8d296c75ff5093"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/desktop/moka-icon-theme/slack-desc b/desktop/moka-icon-theme/slack-desc
new file mode 100644
index 0000000000..2fd65e9d2b
--- /dev/null
+++ b/desktop/moka-icon-theme/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+moka-icon-theme: moka-icon-theme (gnome icon theme)
+moka-icon-theme:
+moka-icon-theme: Moka icon theme for Slackware.
+moka-icon-theme:
+moka-icon-theme: Moka was created with minimal, flat style, using simple geometry &
+moka-icon-theme: colours. Each icon has been pixel-perfectly-designed and for the best
+moka-icon-theme: experience throughout your desktop.
+moka-icon-theme:
+moka-icon-theme: Home Page: http://mokaproject.com/moka-icon-theme/
+moka-icon-theme:
+moka-icon-theme: